;#####################
;#    CubeWatch V3   #
;#   by CodeBreaker  #
;#####################


AppTitle "CubeWatch (V3) by CodeBreaker"

Graphics3D 300,100,0,2


Global textur
Global cube1,cube2,cube3,cube4,cube5,cube6
Global camera
Global light
Global dreh = 0
Global I
Global pivot
Global time$
Global tex1,tex2,tex3,tex4,tex5,tex6
Global texb1,texb2,texb3,texb4,texb5,texb6
Global metalltex
Global metalltexb


loadall()


Repeat

updatetime()


If KeyHit(15)
rotate()
EndIf 



RenderWorld()
UpdateWorld()
Flip

updatecubes()
	
Until KeyDown(1)
End





; Funktionen           ---------------------------------------------------------------





Function rotate()

dreh = Not dreh

	If dreh = 1
		Graphics3D 300,300,0,2
		loadall()
	
		For I=1 To 90
			TurnEntity camera,0,0,1
			updatetime()
			updatecubes()
			RenderWorld()
			Flip
		Next
		
		Graphics3D 125,300,0,2
		loadall()
		TurnEntity camera,0,0,90
		CameraZoom camera,2.5
		
	EndIf

	If dreh = 0
		CameraZoom camera,0
		Graphics3D 300,300,0,2
		loadall()
		
		TurnEntity camera,0,0,90
		
		For I=1 To 90
			TurnEntity camera,0,0,-1
			updatetime()
			updatecubes()
			RenderWorld()
			Flip
		Next
		
		Graphics3D 300,100,0,2
		loadall()
			
	EndIf
End Function

Function loadall()

light = CreateLight()

camera=CreateCamera()
PositionEntity camera,1.5,0,-10

cube1 = CreateCube()
PositionEntity cube1,-6,0,0
EntityColor cube1,0,255,0
ScaleEntity cube1,1,2,1

cube2 = CreateCube()
PositionEntity cube2,-3,0,0
EntityColor cube2,0,255,0
ScaleEntity cube2,1,2,1

cube3 = CreateCube()
PositionEntity cube3 ,0,0,0
EntityColor cube3 ,0,0,255
ScaleEntity cube3,1,2,1

cube4 = CreateCube()
PositionEntity cube4 ,3,0,0
EntityColor cube4 ,0,0,255
ScaleEntity cube4,1,2,1

cube5 = CreateCube()
PositionEntity cube5 ,6,0,0
EntityColor cube5 ,255,255,0
ScaleEntity cube5,1,2,1

cube6 = CreateCube()
PositionEntity cube6 ,9,0,0
EntityColor cube6 ,255,255,0
ScaleEntity cube6,1,2,1

End Function 



Function updatetime()

time$=CurrentTime()
	
tex1=Int(Left(time$,1)) 
tex2=Int(Mid(time$,2,1)) 
tex3=Int(Mid(time$,4,1))
tex4=Int(Mid(time$,5,1))
tex5=Int(Mid(time$,7,1))
tex6=Int(Mid(time$,8,1))

End Function




Function updatecubes()

time$=CurrentTime()

texb1=Int(Left(time$,1)) 
texb2=Int(Mid(time$,2,1)) 
texb3=Int(Mid(time$,4,1))
texb4=Int(Mid(time$,5,1))
texb5=Int(Mid(time$,7,1))
texb6=Int(Mid(time$,8,1))



If tex1 <> texb1
	For I=0 To 30
	 TurnEntity cube1,0,3,0
	 RenderWorld()
	 Flip 
	Next
EndIf 
h=Int(Left(time$,2)) Mod 12
	m=Int(Mid(time$,4,2))
	s=Int(Right(time$,2))
textur = LoadTexture("tex"+ texb1 + dreh + ".bmp")
EntityTexture cube1,textur

If tex2 <> texb2
	For I=1 To 30
	 If I = 15
		textur = LoadTexture("tex"+ texb2 + dreh + ".bmp")
		EntityTexture cube2,textur
	 EndIf
	 TurnEntity cube2,0,3,0
	 RenderWorld()
	 Flip 
	Next
EndIf 

textur = LoadTexture("tex"+ texb2 + dreh + ".bmp")
EntityTexture cube2,textur


If tex3 <> texb3
	For I=1 To 30
	 If I = 15
		textur = LoadTexture("tex"+ texb3 + dreh + ".bmp")
		EntityTexture cube3,textur
	 EndIf
	 TurnEntity cube3,0,3,0
	 RenderWorld()
	 Flip
	Next 
EndIf 

textur = LoadTexture("tex"+ texb3 + dreh + ".bmp")
EntityTexture cube3,textur

If tex4 <> texb4
	For I=1 To 30
	If I = 15
		textur = LoadTexture("tex"+ texb4 + dreh + ".bmp")
		EntityTexture cube4,textur
	EndIf
	 TurnEntity cube4,0,3,0
	 RenderWorld()
	 Flip 
	Next
EndIf 

textur = LoadTexture("tex"+ texb4 + dreh + ".bmp")
EntityTexture cube4,textur

If tex5 <> texb5
	For I=1 To 30
	 If I = 15
		textur = LoadTexture("tex"+ texb5 + dreh + ".bmp")
		EntityTexture cube5,textur
	EndIf 
	 TurnEntity cube5,0,3,0
	 RenderWorld()
	 Flip 
	Next
EndIf 

textur = LoadTexture("tex"+ texb5 + dreh + ".bmp")
EntityTexture cube5,textur

If tex6 <> texb6
	For I=1 To 30
	 If I = 15
		textur = LoadTexture("tex"+ texb6 + dreh + ".bmp")
		EntityTexture cube6,textur
	 EndIf
	 TurnEntity cube6,0,3,0
	 RenderWorld()
	 Flip
	Next 
EndIf 

textur = LoadTexture("tex"+ texb6 + dreh + ".bmp")
EntityTexture cube6,textur




End Function 